import fly from '@/utils/request'
//扫码或者根据关键词查询
export function searchAsset(data) {
	return fly.get('/asset/asset/search',data).then(res=>res)
}
//获取全部的存放地点
export function getAllPlace() {
	return fly.get('/asset/place/all').then(res=>res)
}
//借用设备
export function borrowAsset(borrowDate,returnDate,data) {
	return fly.post(`/asset/borrow/save/${borrowDate}/${returnDate}`,data).then(res=>res)
}
//归还设备
export function returnAsset(barCode){
	return fly.put(`/asset/borrow/return/${barCode}`).then(res=>res)
}
//获取借用设备记录
export function borrowList(data){
	return fly.get('/asset/borrow/recordList',data).then(res=>res)
}
//统计借用设备记录
export function sumBorrow(data){
	return fly.get('/asset/borrow/recordCount',{status:data}).then(res=>res)
}