import fly from '@/utils/request'
export function login(username, password) {
  const data = {
    username,
    password
  }
  return fly.post('/login', data,{headers:{isToken:false}}).then(res => res)
}
// 获取用户详细信息
export function getInfo() {
  return fly.get('/getInfo').then(res=>res)
}
// 退出方法
export function logout() {
  return request({
    url: '/logout',
    method: 'post'
  })
}